Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.management
Interface TradingPartnerSessionMBean

public interface TradingPartnerSessionMBean

The Trading Partner Sessions represents a session with a trading partner.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`CollaborationAgreementMBean[]` | `getActiveCollaborationAgreements()` Gets CollaborationAgreementMBeans being used by this Trading Partner Session.
`ConversationMBean` | `getActiveConversation(java.lang.String id)` Gets the active conversation with given id for the Trading Partner.
`ConversationMBean[]` | `getActiveConversations()` Gets all the conversations in this session.
`java.util.Date` | `getActiveSince()` Gets the timestamp the session was established.
`MessageMBean[]` | `getAllMessages()` Gets MessageMBeans for all of the outstanding business messages sent to the trading partner in this session.
`DeliveryChannelMBean` | `getDeliveryChannel()` Gets the Delivery Channel used by this session.
`int` | `getDroppedMessageCount()` Gets the number of dropped business messages.
`java.util.Date` | `getFirstFailedMessageTimeStamp()` Gets the timestamp of the first failed business message.
`java.util.Date` | `getLastFailedMessageTimeStamp()` Gets the timestamp of the last failed business message.
`java.util.Date` | `getLastReceivedMessageTimeStamp()` Gets the timestamp of the last business message received.
`java.util.Date` | `getLastSentMessageTimeStamp()` Gets the timestamp of the last successfully sent business message.
`int` | `getSentMessageCount()` Gets the number of business messages that were sent to the trading partner in this session.
`java.lang.String` | `getTradingPartnerName()` Gets the name of the trading partner with which this session is established.
`java.util.Date` | `lastSentInConversation(java.lang.String id)` Gets the time of the last business message that this participant sent in the specified conversation.
`void` | `shutDown()` Shutsdown the session, forces the trading partner to leave.

Method Detail

### getTradingPartnerName

    public java.lang.String getTradingPartnerName()

  Gets the name of the trading partner with which this session is established.

  Returns:
    String - Trading Partner name.

### getActiveSince

    public java.util.Date getActiveSince()

  Gets the timestamp the session was established.

  Returns:
    java.util.Date - Timestamp when the session was started.

### getActiveConversations

    public ConversationMBean[] getActiveConversations()
                                               throws ManagementException

  Gets all the conversations in this session.

  Returns:
    ConversationMBean[] - Array of ConversationMBeans.

### getActiveConversation

    public ConversationMBean getActiveConversation(java.lang.String id)
                                            throws ManagementException

  Gets the active conversation with given id for the Trading Partner.

  Parameters:
    `id` - - Conversation id.
  Returns:
    ConversationMBean - ConversationMBean macthing the id.

### getDeliveryChannel

    public DeliveryChannelMBean getDeliveryChannel()
                                            throws ManagementException

  Gets the Delivery Channel used by this session.

  Returns:
    DeliveryChannelMBean - DeliveryChannelMBean.

### lastSentInConversation

    public java.util.Date lastSentInConversation(java.lang.String id)
                                          throws ManagementException

  Gets the time of the last business message that this participant sent in the specified conversation.

  Parameters:
    `id` - business tx ID.
  Returns:
    Date - Time of the last business message sent.

### shutDown

    public void shutDown()
                  throws ManagementException

  Shutsdown the session, forces the trading partner to leave.

  Throws:
    ManagementException - If an error occurred when shutting down the trading partner session.

### getAllMessages

    public MessageMBean[] getAllMessages()
                                  throws ManagementException

  Gets MessageMBeans for all of the outstanding business messages sent to the trading partner in this session.

  Returns:
    MessageMBean[] - Array of MessageMBeans.

### getActiveCollaborationAgreements

    public CollaborationAgreementMBean[] getActiveCollaborationAgreements()

  Gets CollaborationAgreementMBeans being used by this Trading Partner Session.

  Returns:
    CollaborationAgreementMBean[] - Array of CollaborationAgreementMBeans.

### getLastSentMessageTimeStamp

    public java.util.Date getLastSentMessageTimeStamp()

  Gets the timestamp of the last successfully sent business message.

  Returns:
    java.util.Date - Timestamp of the last successful message.

### getLastReceivedMessageTimeStamp

    public java.util.Date getLastReceivedMessageTimeStamp()

  Gets the timestamp of the last business message received.

  Returns:
    java.util.Date - Timestamp of the last message received.

### getFirstFailedMessageTimeStamp

    public java.util.Date getFirstFailedMessageTimeStamp()

  Gets the timestamp of the first failed business message.

  Returns:
    java.util.Date - Timestamp of the first failed business message

### getLastFailedMessageTimeStamp

    public java.util.Date getLastFailedMessageTimeStamp()

  Gets the timestamp of the last failed business message.

  Returns:
    java.util.Date - Timestamp of the last failed business message.

### getSentMessageCount

    public int getSentMessageCount()

  Gets the number of business messages that were sent to the trading partner in this session.

  Returns:
    int - Number of sent business messages.

### getDroppedMessageCount

    public int getDroppedMessageCount()

  Gets the number of dropped business messages.

  Returns:
    int - Number of dropped business messages.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)